<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AreaDamageTriggerBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d0c/class_area_damage_trigger_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AreaDamageTriggerBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a787377553766c186dcbc71399a6f1cef"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#a787377553766c186dcbc71399a6f1cef">OnStayServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaTime)</td></tr>
<tr class="separator:a787377553766c186dcbc71399a6f1cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a786fab07ad35052bb2c761e9474d8aeb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#a786fab07ad35052bb2c761e9474d8aeb">AreaDamageTrigger</a> ()</td></tr>
<tr class="separator:a786fab07ad35052bb2c761e9474d8aeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69d213b0adf0e68d3fdf2ba4c14de9e7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#a69d213b0adf0e68d3fdf2ba4c14de9e7">EOnTouch</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="el" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> extra)</td></tr>
<tr class="separator:a69d213b0adf0e68d3fdf2ba4c14de9e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6702f9ac2bbda2f5cad1f333806ffc82"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#a6702f9ac2bbda2f5cad1f333806ffc82">SetExtents</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mins, <a class="el" href="../../d7/dfc/classvector.html">vector</a> maxs)</td></tr>
<tr class="separator:a6702f9ac2bbda2f5cad1f333806ffc82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2456a74f6f2ebd020c186448d528f15b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#a2456a74f6f2ebd020c186448d528f15b">SetAreaDamageManager</a> (<a class="el" href="../../df/dbe/_area_damage_manager_8c.html#abfc7d8f6381a073a1b76ff47172ff18f">AreaDamageManager</a> adType)</td></tr>
<tr class="separator:a2456a74f6f2ebd020c186448d528f15b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6afa993184807f7d2ece600c0c7d64ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#a6afa993184807f7d2ece600c0c7d64ab">SetAreaDamageType</a> (<a class="el" href="../../d5/d4e/class_area_damage_base.html">AreaDamageBase</a> adType)</td></tr>
<tr class="separator:a6afa993184807f7d2ece600c0c7d64ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62ddf81e27c0512fa9a29d2171febf42"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#a62ddf81e27c0512fa9a29d2171febf42">OnEnter</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> obj)</td></tr>
<tr class="separator:a62ddf81e27c0512fa9a29d2171febf42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae36771ed13fe73eea1110d662d125b9e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#ae36771ed13fe73eea1110d662d125b9e">OnLeave</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> obj)</td></tr>
<tr class="separator:ae36771ed13fe73eea1110d662d125b9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe7d1cb6ce3245d27147e7a02c6496e7"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#abe7d1cb6ce3245d27147e7a02c6496e7">UpdateInsiders</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> timeout)</td></tr>
<tr class="separator:abe7d1cb6ce3245d27147e7a02c6496e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aeb19c965336f5407138324f152927b25"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d5/d4e/class_area_damage_base.html">AreaDamageBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#aeb19c965336f5407138324f152927b25">m_AreaDamageType</a></td></tr>
<tr class="separator:aeb19c965336f5407138324f152927b25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a9a1400c3b076bbd7a7988d5ff92a75"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#a9a9a1400c3b076bbd7a7988d5ff92a75">m_ExtentMin</a></td></tr>
<tr class="separator:a9a9a1400c3b076bbd7a7988d5ff92a75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fa71bcf2f28b11cffc39c679378fbab"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#a9fa71bcf2f28b11cffc39c679378fbab">m_ExtentMax</a></td></tr>
<tr class="separator:a9fa71bcf2f28b11cffc39c679378fbab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc0a3674920de565a8abd994d24d068c"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#adc0a3674920de565a8abd994d24d068c">m_InnerDistance</a></td></tr>
<tr class="separator:adc0a3674920de565a8abd994d24d068c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d5a835b741449bddc111d7bda9310c1"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html#a1d5a835b741449bddc111d7bda9310c1">m_TriggerUpdateMs</a></td></tr>
<tr class="separator:a1d5a835b741449bddc111d7bda9310c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../da/d90/_area_damage_trigger_direct_8c_source.html#l00001">1</a> of file <a class="el" href="../../da/d90/_area_damage_trigger_direct_8c_source.html">AreaDamageTriggerDirect.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a786fab07ad35052bb2c761e9474d8aeb" name="a786fab07ad35052bb2c761e9474d8aeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a786fab07ad35052bb2c761e9474d8aeb">&#9670;&#160;</a></span>AreaDamageTrigger()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AreaDamageTriggerBase::AreaDamageTrigger </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00015">15</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="a69d213b0adf0e68d3fdf2ba4c14de9e7" name="a69d213b0adf0e68d3fdf2ba4c14de9e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69d213b0adf0e68d3fdf2ba4c14de9e7">&#9670;&#160;</a></span>EOnTouch()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageTriggerBase::EOnTouch </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>extra</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00031">31</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="a62ddf81e27c0512fa9a29d2171febf42" name="a62ddf81e27c0512fa9a29d2171febf42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62ddf81e27c0512fa9a29d2171febf42">&#9670;&#160;</a></span>OnEnter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageTriggerBase::OnEnter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00062">62</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="ae36771ed13fe73eea1110d662d125b9e" name="ae36771ed13fe73eea1110d662d125b9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae36771ed13fe73eea1110d662d125b9e">&#9670;&#160;</a></span>OnLeave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageTriggerBase::OnLeave </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00070">70</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="a787377553766c186dcbc71399a6f1cef" name="a787377553766c186dcbc71399a6f1cef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a787377553766c186dcbc71399a6f1cef">&#9670;&#160;</a></span>OnStayServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageTriggerBase::OnStayServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d90/_area_damage_trigger_direct_8c_source.html#l00003">3</a> of file <a class="el" href="../../da/d90/_area_damage_trigger_direct_8c_source.html">AreaDamageTriggerDirect.c</a>.</p>

</div>
</div>
<a id="a2456a74f6f2ebd020c186448d528f15b" name="a2456a74f6f2ebd020c186448d528f15b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2456a74f6f2ebd020c186448d528f15b">&#9670;&#160;</a></span>SetAreaDamageManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageTriggerBase::SetAreaDamageManager </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/dbe/_area_damage_manager_8c.html#abfc7d8f6381a073a1b76ff47172ff18f">AreaDamageManager</a>&#160;</td>
          <td class="paramname"><em>adType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00048">48</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="a6afa993184807f7d2ece600c0c7d64ab" name="a6afa993184807f7d2ece600c0c7d64ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6afa993184807f7d2ece600c0c7d64ab">&#9670;&#160;</a></span>SetAreaDamageType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AreaDamageTriggerBase::SetAreaDamageType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d4e/class_area_damage_base.html">AreaDamageBase</a>&#160;</td>
          <td class="paramname"><em>adType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00055">55</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="a6702f9ac2bbda2f5cad1f333806ffc82" name="a6702f9ac2bbda2f5cad1f333806ffc82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6702f9ac2bbda2f5cad1f333806ffc82">&#9670;&#160;</a></span>SetExtents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageTriggerBase::SetExtents </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>mins</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>maxs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00038">38</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="abe7d1cb6ce3245d27147e7a02c6496e7" name="abe7d1cb6ce3245d27147e7a02c6496e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe7d1cb6ce3245d27147e7a02c6496e7">&#9670;&#160;</a></span>UpdateInsiders()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void AreaDamageTriggerBase::UpdateInsiders </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>timeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >DEBUG</p>

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00078">78</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aeb19c965336f5407138324f152927b25" name="aeb19c965336f5407138324f152927b25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb19c965336f5407138324f152927b25">&#9670;&#160;</a></span>m_AreaDamageType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d5/d4e/class_area_damage_base.html">AreaDamageBase</a> AreaDamageTriggerBase::m_AreaDamageType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00007">7</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="a9fa71bcf2f28b11cffc39c679378fbab" name="a9fa71bcf2f28b11cffc39c679378fbab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fa71bcf2f28b11cffc39c679378fbab">&#9670;&#160;</a></span>m_ExtentMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> AreaDamageTriggerBase::m_ExtentMax</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00010">10</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="a9a9a1400c3b076bbd7a7988d5ff92a75" name="a9a9a1400c3b076bbd7a7988d5ff92a75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a9a1400c3b076bbd7a7988d5ff92a75">&#9670;&#160;</a></span>m_ExtentMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> AreaDamageTriggerBase::m_ExtentMin</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00009">9</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="adc0a3674920de565a8abd994d24d068c" name="adc0a3674920de565a8abd994d24d068c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc0a3674920de565a8abd994d24d068c">&#9670;&#160;</a></span>m_InnerDistance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> AreaDamageTriggerBase::m_InnerDistance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00011">11</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<a id="a1d5a835b741449bddc111d7bda9310c1" name="a1d5a835b741449bddc111d7bda9310c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d5a835b741449bddc111d7bda9310c1">&#9670;&#160;</a></span>m_TriggerUpdateMs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AreaDamageTriggerBase::m_TriggerUpdateMs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html#l00013">13</a> of file <a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Classes/AreaDamage/AreaDamageNew/<a class="el" href="../../da/d90/_area_damage_trigger_direct_8c_source.html">AreaDamageTriggerDirect.c</a></li>
<li>scripts/4_World/Classes/AreaDamage/<a class="el" href="../../d8/d76/_area_damage_trigger_8c_source.html">AreaDamageTrigger.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html">AreaDamageTriggerBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
